/* WCU HERO SLIDER CSS START */

.wcu-hero-slider {
	font-family:var(--e-global-typography-primary-font-family);
	overflow-x: hidden;
	background: #0f0f10;
}

.wcu-hero-slider__hero {
	padding-left: 64px;
	padding-right: 64px;
	position: relative;
	width: 100%;
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	overflow: hidden;
	background: #0f0f10;
}

.wcu-hero-slider__bg-layer {
	position: absolute;
	inset: 0;
	background-size: cover;
	background-position: center center;
	background-repeat: no-repeat;
	z-index: 0;
	opacity: 0;
	transition: opacity 0.7s ease;
}

.wcu-hero-slider__bg-video {
	position: absolute;
	inset: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
	z-index: 0;
	opacity: 0;
	transition: opacity 0.35s ease;
}

.wcu-hero-slider__bg-video.is-visible {
	opacity: 1;
}

.wcu-hero-slider__bg-layer.is-active {
	opacity: 1;
}

.wcu-hero-slider__overlay {
	position: absolute;
	inset: 0;
	background: linear-gradient(105deg, rgba(0, 0, 0, 0.3) 35%, rgba(0, 0, 0, 0.3) 100%);
	z-index: 1;
}

.wcu-hero-slider__content {
	position: relative;
	z-index: 2;
	padding: 140px 0 48px;
	width: 100%;
	max-width: 1312px;
	overflow: hidden;
	margin: 0 auto;
}

.wcu-hero-slider .wcu-hero-slider__eyebrow {
	font-family: var(--e-global-typography-primary-font-family);
	 font-size:var(--e-global-typography-e88e1ff-font-size);
    font-weight:var(--e-global-typography-e88e1ff-font-weight);
    line-height:var(--e-global-typography-e88e1ff-line-height);
	letter-spacing: 0.02em;
	text-transform: uppercase;
	color: var(--e-global-color-1cb724d);
	margin:0 0 16px;
	will-change: transform, opacity;
	transition: opacity 0.9s cubic-bezier(0.22, 1, 0.36, 1), transform 0.9s cubic-bezier(0.22, 1, 0.36, 1);
}

.wcu-hero-slider .wcu-hero-slider__title {
	font-family:var(--e-global-typography-primary-font-family);
    font-size:var(--e-global-typography-primary-font-size);
    font-weight:var(--e-global-typography-primary-font-weight);
    line-height:var(--e-global-typography-primary-line-height);
	margin:0 0 16px;
	width: 48%;
	will-change: transform, opacity;
	color: #fff;
	transition: opacity 0.9s cubic-bezier(0.22, 1, 0.36, 1), transform 0.9s cubic-bezier(0.22, 1, 0.36, 1);
}

.wcu-hero-slider__desc {
	font-family:var(--e-global-typography-primary-font-family);
	font-size:var(--e-global-typography-fee4af1-font-size);
    font-weight:var(--e-global-typography-fee4af1-font-weight);
	color:var(--e-global-color-secondary);
    line-height:28px;
	margin: 0 0 24px;
	max-width: 75%;
	will-change: transform, opacity;
	transition: opacity 0.9s cubic-bezier(0.22, 1, 0.36, 1), transform 0.9s cubic-bezier(0.22, 1, 0.36, 1);
}

.wcu-hero-slider .wcu-hero-slider__btn {
	display: inline-flex;
	align-items: center;
	gap: 8px;
	background: var(--e-global-color-secondary);
	color: var(--e-global-color-primary);
	font-size: var(--e-global-typography-a3b3a39-font-size);
	line-height: 25.6px;
	font-weight: var(--e-global-typography-a3b3a39-font-weight);
	padding: 8px 16px;
/* 	box-shadow: 0 4px 4px 0 #ffffff29 inset; */
	border:1px solid rgba(255, 255, 255, 0.00);
	border-radius: 8px;
	cursor: pointer;
	height:40px;
	text-decoration: none;
	letter-spacing: 0.01em;
	will-change: transform, opacity;
	transition: opacity 0.9s cubic-bezier(0.22, 1, 0.36, 1), transform 0.9s cubic-bezier(0.22, 1, 0.36, 1), background 0.2s, color 0.2s;
}
.wcu-hero-slider .wcu-hero-slider__btn .fh-icon-wrap{
width:20px !important;
height:20px !important;
}
.wcu-hero-slider .wcu-hero-slider__btn:hover{
background:#FAFAFA;
}
.wcu-hero-slider__btn img {
	width: 16px;
	height: 18px;
	object-fit: contain;
	display: block;
}

.wcu-hero-slider__content.is-fade-out .wcu-hero-slider__eyebrow,
.wcu-hero-slider__content.is-fade-out .wcu-hero-slider__title,
.wcu-hero-slider__content.is-fade-out .wcu-hero-slider__desc,
.wcu-hero-slider__content.is-fade-out .wcu-hero-slider__btn {
	opacity: 0;
	transform: translateX(-60px);
}

.wcu-hero-slider__content.is-slide-in .wcu-hero-slider__eyebrow,
.wcu-hero-slider__content.is-slide-in .wcu-hero-slider__title,
.wcu-hero-slider__content.is-slide-in .wcu-hero-slider__desc,
.wcu-hero-slider__content.is-slide-in .wcu-hero-slider__btn {
	opacity: 0;
	transform: translateX(60px);
}

.wcu-hero-slider__bottom {
	position: relative;
	z-index: 2;
	display: flex;
	align-items: stretch;
	padding: 0 0 60px;
	gap: 20px;
	width: 100%;
	max-width: 1312px;
	margin: 0 auto;
}

/* .wcu-hero-slider__tab {
	background: #ffffff26;
	backdrop-filter: blur(12px);
	-webkit-backdrop-filter: blur(14px);
	border: 1px solid rgba(255, 255, 255, 0.09);
	border-radius: 6px;
	cursor: pointer;
	overflow: hidden;
	position: relative;
	flex-shrink: 0;
	width: 78px;
	transition: width 0.52s cubic-bezier(0.22, 1, 0.36, 1), flex 0.52s cubic-bezier(0.22, 1, 0.36, 1);
    min-height:168px;
}

.wcu-hero-slider__tab.is-collapsed {
	width: 78px;
	flex: 0 0 78px;
}

.wcu-hero-slider__tab.is-collapsed:hover {
	width: 92px;
	flex: 0 0 92px;
}

.wcu-hero-slider__tab.is-expanded {
	flex: 1 1 0%;
	width: auto;
	cursor: default;
}
 */
.wcu-hero-slider__tab {
  background:rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
  border:none;
  border-radius: 6px;
  overflow: hidden;
  position: relative;
  min-height: 175px;
  max-height:175px;
  flex-grow: 0.6;
  flex-shrink: 1;
  flex-basis: 0; 
  min-width: 0;

  contain: layout style; 
  transition: flex-grow 0.52s cubic-bezier(0.22, 1, 0.36, 1);
}

.wcu-hero-slider__tab.is-expanded {
  flex-grow: 6;
	max-height:175px;
	height:175px;
}
.wctab-1.is-expanded .wcu-hero-slider__tab-title{
  margin:0 0 0;
}
.wcu-hero-slider__tab.is-collapsed {
  flex-grow: 0.6;
max-height:175px;
	height:175px;
	cursor:pointer;
}

.wcu-hero-slider__tab.is-collapsed:hover {
  flex-grow: 0.7; 
} 
.wcu-hero-slider__tab-label {
	position: absolute;
	top: 24px;
	left: 50%;
	transform: translateX(-50%);
	writing-mode: vertical-rl;
	 font-family: var(--e-global-typography-primary-font-family);
    font-size: var(--e-global-typography-fee4af1-font-size);
    font-weight: var(--e-global-typography-fee4af1-font-weight);
    color: var(--e-global-color-secondary);
	line-height: 30px;
	white-space: nowrap;
	user-select: none;
	opacity: 1;
	transition: opacity 0.15s ease;
	pointer-events: none;
}

.wcu-hero-slider__tab.is-expanded .wcu-hero-slider__tab-label {
	opacity: 0;
}

.wcu-hero-slider__tab-inner {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	padding: 24px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	min-height: 120px;
	opacity: 0;
	pointer-events: none;
	transition: opacity 0.15s ease 0s;
}

.wcu-hero-slider__tab.is-expanded .wcu-hero-slider__tab-inner {
	opacity: 1;
	pointer-events: auto;
	transition: opacity 0.2s ease 0.35s;
}

.wcu-hero-slider__tab-title {
	font-family:var(--e-global-typography-primary-font-family);
	font-size:var(--e-global-typography-fee4af1-font-size);
	font-weight:var(--e-global-typography-fee4af1-font-weight);
	color:var(--e-global-color-secondary);
	margin: 0 0 18px;
	line-height: 30px;
}

.wcu-hero-slider__logos {
	display: flex;
	align-items: center;
	gap: 22px;
	flex-wrap: nowrap;
	min-height: 52px;
}

.wcu-hero-slider__logo img {
	width: 100%;
	height: auto;
	object-fit: cover;
	display: block;
}

.wcu-hero-slider__tab-footer {
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-top: 22px;
	gap: 14px;
}

.wcu-hero-slider__controls {
	display: flex;
	flex-direction: column;
	gap: 15px;
}

.wcu-hero-slider__arrows {
	display: flex;
	justify-content: flex-end;
	gap: 12px;
}

.wcu-hero-slider__arrow-btn {
	width: 34px;
	height: 34px;
	padding: 0;
	background: transparent;
	border: none;
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: 1;
	transition: opacity 0.2s ease, transform 0.2s ease;
}

.wcu-hero-slider__arrow-btn:hover {
	opacity: 0.9;
}
.wcu-hero-slider__arrow-btn:hover {
	transform: scale(1.08);
}
.wcu-hero-slider__arrow-btn.is-inactive {
	opacity: 0.35;
	cursor: default;
	pointer-events: none;
}

.wcu-hero-slider__arrow-btn.is-active {
	opacity: 1;
	transform: scale(0.94);
}

.wcu-hero-slider__arrow-btn[data-action="prev"]::before,
.wcu-hero-slider__arrow-btn[data-action="next"]::before {
	content: "";
	display: block;
	width: 38px;
	height: 38px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}

.wcu-hero-slider__arrow-btn[data-action="prev"]::before {
background-image: url("https://staging.zeeframes.com/wp-content/uploads/2026/07/button-2.png");
}

.wcu-hero-slider__arrow-btn[data-action="next"]::before {
background-image: url("https://staging.zeeframes.com/wp-content/uploads/2026/07/button-3.png");
}

.wcu-hero-slider__progress {
	width: 190px;
	height: 2px;
	background: rgba(255, 255, 255, 0.14);
	border-radius: 2px;
	overflow: hidden;
}

.wcu-hero-slider__progress-fill {
	height: 100%;
	background: #fff;
	border-radius: 2px;
	width: 0%;
}

.wcu-hero-slider__book {
	flex-shrink: 0;
	background: #fff;
	border-radius: 8px;
	display: flex;
	align-items: center;
	gap: 16px;
	padding: 12px 10px;
	width: 313px;
	align-self: stretch;
}

.wcu-hero-slider__book-img {
	width: 140px;
	height: auto;
	border-radius: 4px;
	object-fit: cover;
	flex-shrink: 0;
}

.wcu-hero-slider__book-text strong {
	display: block;
	font-family:var(--e-global-typography-primary-font-family);
	font-size:var(--e-global-typography-a3b3a39-font-size);
    font-weight:var(--e-global-typography-a3b3a39-font-weight);
    line-height:var(--e-global-typography-a3b3a39-line-height);
	color: #18181b;
	margin-bottom: 16px;
}

.wcu-hero-slider__hero .wcu-hero-slider__book-btn {
	display: inline-flex;
	align-items: center;
	gap: 8px;
	border-radius: 8px;
    background: var(--e-global-color-e176a03);
    color: var(--e-global-color-secondary);
    font-size: var(--e-global-typography-a3b3a39-font-size);
    line-height: 25.6px;
    font-weight: var(--e-global-typography-a3b3a39-font-weight);
    padding: 8px 16px;
	height:34px;
	cursor: pointer;
	transition: background 0.2s;
	text-decoration: none;
}
.wcu-hero-slider__hero .wcu-hero-slider__book-btn .fh-icon-wrap{
	width:20px !important;
	height:20px !important;
}
.wcu-hero-slider__book-btn:hover,
.wcu-hero-slider__book-btn:focus {
	background: #075CE8;
}
@media screen and (min-width:1281px) and (max-width:1367px) {
  .wcu-hero-slider__hero {
  padding-left: 30px;
padding-right: 30px;
}
}
@media screen and (max-width: 1024px) {
/* 	.wcu-hero-slider__tab.is-collapsed {
		display: none;
	} */
	.wcu-hero-slider .wcu-hero-slider__title{
    width:55%;
}
}
@media screen and (max-width:1024px){
	.wcu-hero-slider__hero{
    padding-left:24px;
	padding-right:24px;
	padding-bottom:50px;
    }
	.wcu-hero-slider__tab.is-expanded{
     max-height:unset;
   }
	.wcu-hero-slider__tab.is-collapsed {
    max-height:unset;
}
	.wcu-hero-slider__tab {
    max-height:unset;    
}
}
@media screen and (min-width: 500px) and (max-width: 800px) {
	.wcu-hero-slider__hero {
		min-height: 600px;
		display: flex;
		justify-content: flex-end;
	}
}

@media screen and (max-width: 768px) {
	.wcu-hero-slider__content {
		padding:110px 24px 24px 24px;
	}

	.wcu-hero-slider__hero {
		padding: 0;
	}

/* 	.wcu-hero-slider__title {
		font-size: 32px;
		line-height: 1.5em;
		width: 100%;
	}

	.wcu-hero-slider__eyebrow {
		font-size: 14px;
		line-height: 22px;
	} */

	.wcu-hero-slider__desc {
		max-width: 100%;
		margin:0 0 32px;
		font-size:18px;
	}

	.wcu-hero-slider__bottom {
		padding:24px;
		gap: 24px;
		min-height: 188px;
		flex-wrap: wrap;
	}

	.wcu-hero-slider__book {
		display: none;
		width: 100%;
		flex: 0 0 100%;
		box-sizing: border-box;
	}

	.wcu-hero-slider__tab.is-expanded {
		flex: 1 1 0%;
		width: auto;
		min-height: 120px;
	}

/* 	.wcu-hero-slider__tab-label {
		font-size: 13px;
	} */

	.wcu-hero-slider__tab-inner {
		padding: 16px;
	}

/* 	.wcu-hero-slider__tab-title {
		font-size: 18px;
		line-height: 30px;
		margin-bottom: 10px;
	} */

	.wcu-hero-slider__logos {
		gap: 22px;
	}

	.wcu-hero-slider__tab-footer {
		flex-direction: column;
		align-items: flex-start;
		gap: 8px;
		margin-top: 0;
	}

	.wcu-hero-slider__controls {
		flex-direction: row-reverse;
		gap: 24px;
		align-items: flex-end;
		width: 100%;
	}

	.wcu-hero-slider__progress {
		width: 80%;
	}

/* 	.wcu-hero-slider__btn {
		font-size: 14px;
		padding: 8px 16px;
	} */

	.wcu-hero-slider__arrows {
		gap: 12px;
	}
	.wcu-hero-slider .wcu-hero-slider__title{
    width:65%;
}
}
@media screen and (max-width: 768px) {
	.wcu-hero-slider__tab.is-collapsed{
    display:none;
}
}

/* WCU HERO SLIDER - TABLET (768px) ONLY */
@media screen and (min-width: 601px) and (max-width: 768px) {
	.wcu-hero-slider__bottom {
		flex-wrap: nowrap;
	}

	.wcu-hero-slider__tab.is-collapsed {
		display: block;
		max-width: 78px;
		font-size: 18px;
		font-weight: 500;
	}
}

@media screen and (max-width:500px){
	.wcu-hero-slider__desc{
     margin-bottom:28px;
     }
	.wcu-hero-slider__content{
     padding:120px 16px 48px 16px;
    }
	.wcu-hero-slider .wcu-hero-slider__eyebrow{
     font-size:16px;
	 font-weight:500;
		margin-bottom:14px;
    }
.wcu-hero-slider .wcu-hero-slider__title{
    width:100%;
	margin-bottom:14px;
}
	.wcu-hero-slider__arrow-btn[data-action="prev"]::before,
.wcu-hero-slider__arrow-btn[data-action="next"]::before {
	width: 30px;
	height: 30px;
}
	.wcu-hero-slider__arrow-btn {
	width: 30px;
	height: 30px;
}
	.wcu-hero-slider__bottom{
    padding:0px 16px 16px 16px;
   }
}

/* WCU HERO SLIDER CSS END */
